package repository

import (
	"context"
	"fmt"
	"log"
	"vyatsuAPIInventory/vyatsuAPI/models"
)

func (repo *PGrepo) GetRooms(offset int, limit int) ([]models.Room, error) {
	rows, err := repo.pool.Query(context.Background(), "select * from rooms LIMIT $1 OFFSET $2", limit, offset)
	if err != nil {
		log.Fatal(err)
		return nil, err
	}
	defer rows.Close()
	var rooms []models.Room
	for rows.Next() {
		e := models.Room{}
		err := rows.Scan(&e.ID, &e.Building, &e.Type, &e.Capacity, &e.Square, &e.Purpose)
		if err != nil {
			fmt.Println(err)
			continue
		}
		rooms = append(rooms, e)
	}
	return rooms, nil
}
func (repo *PGrepo) GetRoomsWithFilterByType(offset int, limit int, Type string) ([]models.Room, error) {
	rows, err := repo.pool.Query(context.Background(), "select * from rooms where type = $3 LIMIT $1 OFFSET $2", limit, offset, Type)
	if err != nil {
		log.Fatal(err)
		return nil, err
	}
	defer rows.Close()
	var Rooms []models.Room
	for rows.Next() {
		e := models.Room{}
		err := rows.Scan(&e.ID, &e.Building, &e.Type, &e.Capacity, &e.Square, &e.Purpose)
		if err != nil {
			fmt.Println(err)
			continue
		}
		Rooms = append(Rooms, e)
	}
	return Rooms, nil
}
